Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.lagmulx

polynomial.laguerre.lagmulx(c)

  Multiply a Laguerre series by x.

  Multiply the Laguerre series c by x, where x is the independent variable.

  Parameters:
    c array_like

      1-D array of Laguerre series coefficients ordered from low to high.

  Returns:
    out ndarray

      Array representing the result of the multiplication.

  See also

  `lagadd`, `lagsub`, `lagmul`, `lagdiv`, `lagpow`

  Notes

  The multiplication uses the recursion relationship for Laguerre polynomials in the form

  \[xP_i(x) = (-(i + 1)*P_{i + 1}(x) + (2i + 1)P_{i}(x) - iP_{i - 1}(x))\]

  Examples

      >>> from numpy.polynomial.laguerre import lagmulx
      >>> lagmulx([1, 2, 3])
      array([-1.,  -1.,  11.,  -9.])